<Type Name="RepeatInfo" FullName="System.Web.UI.WebControls.RepeatInfo">
  <TypeSignature Language="C#" Value="public sealed class RepeatInfo" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public RepeatInfo ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'RepeatInfo'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OuterTableImplied">
      <MemberSignature Language="C#" Value="public bool OuterTableImplied { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RepeatColumns">
      <MemberSignature Language="C#" Value="public int RepeatColumns { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RepeatDirection">
      <MemberSignature Language="C#" Value="public RepeatDirection RepeatDirection { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.UI.WebControls.RepeatDirection</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'RepeatDirection'</param>
        <returns>To be added: an object of type 'RepeatDirection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RepeatLayout">
      <MemberSignature Language="C#" Value="public RepeatLayout RepeatLayout { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.UI.WebControls.RepeatLayout</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'RepeatLayout'</param>
        <returns>To be added: an object of type 'RepeatLayout'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="RenderRepeater">
      <MemberSignature Language="C#" Value="public void RenderRepeater (System.Web.UI.HtmlTextWriter writer, IRepeatInfoUser user, Style controlStyle, WebControl baseControl);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="writer" Type="System.Web.UI.HtmlTextWriter" />
        <Parameter Name="user" Type="System.Web.UI.WebControls.IRepeatInfoUser" />
        <Parameter Name="controlStyle" Type="System.Web.UI.WebControls.Style" />
        <Parameter Name="baseControl" Type="System.Web.UI.WebControls.WebControl" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="writer">a <see cref="T:System.Web.UI.HtmlTextWriter" /></param>
        <param name="user">a <see cref="T:System.Web.UI.WebControls.IRepeatInfoUser" /></param>
        <param name="controlStyle">a <see cref="T:System.Web.UI.WebControls.Style" /></param>
        <param name="baseControl">a <see cref="T:System.Web.UI.WebControls.WebControl" /></param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
